(function ($) {
  $(document).ready(function () {

    $('#sticky-note-icon').click(function () {
      $('#sticky-note-modal').fadeIn().css('right', '-400px').animate({ right: '20px' }, 300);

      $('#sticky-note-body').html('<textarea id="sticky-note-editor" class="sticky-note-editor" placeholder="Type your sticky note.." style="width: 100%; height: 200px;"></textarea>');
    });

    $(document).on('click', '#sticky-note-close', function () {
      $('#sticky-note-modal').animate({ right: '-400px' }, 300, function () {
        $(this).hide();
      });

      $('#sticky-note-body').html('');
    });


    window.addEventListener('scroll', function() {
      const modal = document.querySelector('.sticky-note-modal');
      const headerHeight = document.querySelector('header').offsetHeight;
    
      if (modal.style.display === 'block') {
        modal.style.top = `${headerHeight + 20}px`;
      }
    });

    $('#sticky-note-modal').draggable({
      handle: '.sticky-note-modal-header'
    });
    

  });
})(jQuery);
